<script setup>

import AuthenticatedLayout from "@/Layouts/AuthenticatedLayout.vue";
import FilterTop from "@/Components/Items/Lots/FilterTop.vue";
import LotGroupGameCategory from "@/Components/Items/Lots/LotGroupGameCategory.vue";
import {Link} from "@inertiajs/vue3";
import CategoryFilter from "@/Components/Items/Lots/Filters/CategoryFilter.vue";
import GameFilter from "@/Components/Items/Lots/Filters/GameFilter.vue";

const props = defineProps({
    'lots' : Object,
});
console.log(props.lots)

</script>

<template>
    <AuthenticatedLayout marketTopLeftTitle="asd">
        <div class="marketBottom__right marketBottom__lots marketBottom__myLots noMobile">
            <FilterTop/>
            <div class="marketBottom__lots-bottom">
                <LotGroupGameCategory
                    v-for="(groupLots,key) in lots"
                    :items="groupLots.data"
                    :lab="key"
                />
            </div>
        </div>
        <game-filter/>
        <category-filter/>
    </AuthenticatedLayout>
</template>



